Skip to main content
POST
/
v1
/
collections
/
{slug}
/
data
/
{rowId}
/
assign
Assign data row
curl --request POST \
  --url https://api.oneofnone.io/v1/collections/{slug}/data/{rowId}/assign \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "short_url": "<string>"
}
'
{
  "id": "<string>",
  "collection_id": "<string>",
  "source_id": 123,
  "row_index": 123,
  "status": "AVAILABLE",
  "created_at": "<string>",
  "data": {},
  "short_url_id": 123,
  "assigned_at": "<string>",
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

slug
string
required
rowId
string
required

Body

application/json
short_url
string
required
Minimum string length: 1

Response

Successful response

id
string
required
collection_id
string
required
source_id
number
required
row_index
number
required
status
enum<string>
required
Available options:
AVAILABLE,
ASSIGNED
created_at
string
required
data
object
short_url_id
number | null
assigned_at
string | null
updated_at
string | null